Ask Your Question
2

open stack installation i got an error

asked 2016-02-03 23:05:42 -0500

Nirav Suthar gravatar image

updated 2016-02-04 00:51:02 -0500

  Cloning into '/opt/stack/requirements'...
2016-02-04 13:04:58.762 | fatal: unable to connect to git.openstack.org:
2016-02-04 13:04:58.762 | git.openstack.org: Name or service not known
2016-02-04 13:04:58.762 | 
2016-02-04 13:04:58.763 | +(/home/cloudadmin/devstack/functions-common:609): git_timed(): [[ 128 -ne 124 ]]
2016-02-04 13:04:58.763 | +(/home/cloudadmin/devstack/functions-common:610): git_timed(): die 610 'git call failed: [git clone' git://git.openstack.org/openstack/requirements.git '/opt/stack/requirements]'
2016-02-04 13:04:58.763 | +(/home/cloudadmin/devstack/functions-common:171): die(): local exitcode=0
2016-02-04 13:04:58.763 | [Call Trace]
2016-02-04 13:04:58.763 | ./stack.sh:709:git_clone
2016-02-04 13:04:58.763 | /home/cloudadmin/devstack/functions-common:543:git_timed
2016-02-04 13:04:58.763 | /home/cloudadmin/devstack/functions-common:610:die
2016-02-04 13:04:58.765 | [ERROR] /home/cloudadmin/devstack/functions-common:610 git call failed: [git clone git://git.openstack.org/openstack/requirements.git /opt/stack/requirements]
2016-02-04 13:04:59.766 | Error on exit
2016-02-04 13:04:59.767 | ./stack.sh: line 489: generate-subunit: command not found
cloudadmin@openstack:~/devstack$
edit retag flag offensive close merge delete

3 answers

Sort by ยป oldest newest most voted
2

answered 2016-05-09 11:50:08 -0500

JorgeCruz gravatar image

Hi,

I've tried with the following in Debian8:

Installed python dependencies:

sudo apt-get install python-pip
sudo pip install --upgrade pip
sudo pip install -U os-testr

Installed brctl dependency:

sudo apt-get install bridge-utils

Changed the configuration from git:

git config --global url."https://".insteadOf git://
edit flag offensive delete link more

Comments

Thanks! This worked for me on Ubuntu server 16.04

jorgutpar gravatar imagejorgutpar ( 2017-03-21 11:45:52 -0500 )edit
2

answered 2016-02-04 19:26:10 -0500

Qiming gravatar image

well... I was receiving the same error when using the latest devstack. It turned out to be a problem of os-testr package version problem. You have to install a 0.6+ version to use the generate-subunit command. For example:

sudo pip install -U os-testr

edit flag offensive delete link more

Comments

This did not work from me, stack.sh.log (http://pastebin.com/TjGABhiP). pip was already upgraded to 8.0.3 before starting stack.sh, for some reason this is being downgraded version 7.1.2 while running stack.sh (Refer to ln:2938 on pastebin link) and later fails due to dependency issue?

askb23 gravatar imageaskb23 ( 2016-02-29 02:24:35 -0500 )edit

It worked for me. The error: generate-subunit: command not found was gone after sudo pip install -U os-testr

QJ gravatar imageQJ ( 2016-03-23 12:37:24 -0500 )edit
2

answered 2016-02-11 12:46:34 -0500

vihari gravatar image

+++ /home/stack/devstack/stackrc:source:L42: whoami ++ /home/stack/devstack/stackrc:source:L42: STACK_USER=stack ++ /home/stack/devstack/stackrc:source:L46: REGION_NAME=RegionOne ++ /home/stack/devstack/stackrc:source:L66: isset ENABLED_SERVICES ++ /home/stack/devstack/functions-common:isset:L162: [[ -v ENABLED_SERVICES ]] ++ /home/stack/devstack/stackrc:source:L68: ENABLED_SERVICES=key ++ /home/stack/devstack/stackrc:source:L70: ENABLED_SERVICES+=,n-api,n-cpu,n-net,n-cond,n-sch,n-novnc,n-crt,n-cauth ++ /home/stack/devstack/stackrc:source:L72: ENABLED_SERVICES+=,g-api,g-reg ++ /home/stack/devstack/stackrc:source:L74: ENABLED_SERVICES+=,c-sch,c-api,c-vol ++ /home/stack/devstack/stackrc:source:L76: ENABLED_SERVICES+=,horizon ++ /home/stack/devstack/stackrc:source:L78: ENABLED_SERVICES+=,rabbit,tempest,mysql,dstat ++ /home/stack/devstack/stackrc:source:L85: ENABLE_HTTPD_MOD_WSGI_SERVICES=True ++ /home/stack/devstack/stackrc:source:L88: NOVA_ENABLED_APIS=osapi_compute,metadata ++ /home/stack/devstack/stackrc:source:L91: HORIZON_APACHE_ROOT=/dashboard +++ /home/stack/devstack/stackrc:source:L98: trueorfalse True USE_SCREEN +++ /home/stack/devstack/functions-common:trueorfalse:L141: local xtrace ++++ /home/stack/devstack/functions-common:trueorfalse:L142: set +o ++++ /home/stack/devstack/functions-common:trueorfalse:L142: grep xtrace +++ /home/stack/devstack/functions-common:trueorfalse:L142: xtrace='set -o xtrace' +++ /home/stack/devstack/functions-common:trueorfalse:L143: set +o xtrace ++ /home/stack/devstack/stackrc:source:L98: USE_SCREEN=True +++ /home/stack/devstack/stackrc:source:L108: trueorfalse True SCREEN_IS_LOGGING +++ /home/stack/devstack/functions-common:trueorfalse:L141: local xtrace ++++ /home/stack/devstack/functions-common:trueorfalse:L142: grep xtrace ++++ /home/stack/devstack/functions-common:trueorfalse:L142: set +o +++ /home/stack/devstack/functions-common:trueorfalse:L142: xtrace='set -o xtrace' +++ /home/stack/devstack/functions-common:trueorfalse:L143: set +o xtrace ++ /home/stack/devstack/stackrc:source:L108: SCREEN_IS_LOGGING=True ++ /home/stack/devstack/stackrc:source:L111: [[ -r /home/stack/devstack/.localrc.password ]] ++ /home/stack/devstack/stackrc:source:L116: export USE_PYTHON3=False ++ /home/stack/devstack/stackrc:source:L116: USE_PYTHON3=False ++ /home/stack/devstack/stackrc:source:L121: export PYTHON3_VERSION=3.4 ++ /home/stack/devstack/stackrc:source:L121: PYTHON3_VERSION=3.4 ++ /home/stack/devstack/stackrc:source:L124: export PYTHON2_VERSION=2.7 ++ /home/stack/devstack/stackrc:source:L124: PYTHON2_VERSION=2.7 ++ /home/stack/devstack/stackrc:source:L127: [[ -f /home/stack/devstack/localrc ]] ++ /home/stack/devstack/stackrc:source:L129: source /home/stack/devstack/localrc +++ /home/stack/devstack/localrc:source:L1: '[[local' +++ /home/stack/devstack/localrc:source:L1: 'localrc]]' /home/stack/devstack/localrc: line 1: localrc]]: command not found /home/stack/devstack/localrc: line 1: [[local: command not found ++ ./stack.sh:main:L717: err_trap ++ ./stack.sh:err_trap:L504: local r=127 ++ ./stack.sh:err_trap:L505: set +o xtrace stack.sh failed Error on exit ./stack.sh: line 488: generate-subunit: command not found

i done have same issue

edit flag offensive delete link more

Comments

Hi , Was anybody able to resolve this ? I am also stuck with similar error .

G-user gravatar imageG-user ( 2016-03-23 04:59:41 -0500 )edit

Hi, I installed openstack with devstack but then I had some problems with it so I tried to reinstall it with ./unstack.sh than ./stack.sh, but now I'm constantly running into the problem described here. Can't find a solution.

sikoz gravatar imagesikoz ( 2016-03-23 10:30:37 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

2 followers

Stats

Asked: 2016-02-03 23:05:42 -0500

Seen: 11,723 times

Last updated: Feb 04 '16